<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "AppleMapsServerAPI",
  "identifier" : "/documentation/AppleMapsServerAPI/-v1-etas",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Maps Server API"
    ],
    "preciseIdentifier" : "rest:maps_web_api:get:v1-etas"
  },
  "title" : "Determine estimated arrival times and distances to one or more destinations"
}
-->

# Determine estimated arrival times and distances to one or more destinations

Returns the estimated time of arrival (ETA) and distance between starting and ending locations.

## Discussion

### Example

**Request:**

```
curl -si -H "Authorization: Bearer <maps_access_token>" "https://maps-api.apple.com/v1/etas?origin=37.331423,-122.030503&destinations=37.32556561130194,-121.94635203581443|37.44176585512703,-122.17259315798667"
```

**Response:**

```json
{
  "etas": [
    {
      "destination": {
        "latitude": 37.32556561130194,
        "longitude": -121.94635203581443
      },
      "transportType": "AUTOMOBILE",
      "distanceMeters": 9550,
      "expectedTravelTimeSeconds": 975,
      "staticTravelTimeSeconds": 540
    },
    {
      "destination": {
        "latitude": 37.44176585512703,
        "longitude": -122.17259315798667
      },
      "transportType": "AUTOMOBILE",
      "distanceMeters": 23286,
      "expectedTravelTimeSeconds": 1336,
      "staticTravelTimeSeconds": 1039
    }
  ]
}
```

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)